package com.bocloud.cmp.provider.monitor;

import com.bocloud.cmp.model.AlarmModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 告警操作接口
 *
 * @author songsong
 */
public interface AlarmProvider extends SuperProvider {
    public BocloudResult sync();

    public BocloudResult create(AlarmModel alarmModel);

    public BocloudResult update(AlarmModel alarmModel);

    public BocloudResult confirm(AlarmModel alarmModel);
}
